SDL_SurfaceHasAlternateImages(3)

NAME
SDL_SurfaceHasAlternateImages - Return whether a surface has alternate versions available.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_SurfaceHasAlternateImages(SDL_Surface *surface);

FUNCTION PARAMETERS

surface
    the SDL_Surface structure to query.

RETURN VALUE
Returns true if alternate versions are available or false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_AddSurfaceAlternateImage(3), SDL_RemoveSurfaceAlternateImages(3), SDL_GetSurfaceImages(3)